import json

import psycopg2

import PGDB_Read as PGDB
from datetime import datetime
point = 'nm'
value = 'v'

nm_values = (
    'lfgawqyq_plc3_Tag22', 'lfgawqyq_plc3_Tag20',
    'lfgawqyq_plc10_Tag45', 'lfgawqyq_plc10_Tag43',
    'lfgawqyq_plc3_Tag17', 'lfgawqyq_plc10_Tag40'
 )
# 连接到数据库
with open('db_params.json', 'r') as f:
 db_params = json.load(f)
 db_params = db_params['test']

# 建立连接
conn = psycopg2.connect(**db_params)
cursor = conn.cursor()
data = PGDB.query_database(cursor,nm_values)

# 关闭游标和连接
cursor.close()
conn.close()
format_data={}
format_data['in']= data
now = datetime.now()
format_data['time']=now.strftime("%Y-%m-%d %H:%M")
print(format_data)
#输出
# {
#     'in': {
#         'lfgawqyq_plc10_Tag45': '11.4345',
#         'lfgawqyq_plc3_Tag22': '25.5208',
#         'lfgawqyq_plc10_Tag40': '129.8828',
#         'lfgawqyq_plc10_Tag43': '5.0528',
#         'lfgawqyq_plc3_Tag20': '16.2399',
#         'lfgawqyq_plc3_Tag17': '106.3368'
#     },
#     'time': '2024-09-10 11:51'
# }





